Reecall
Reecall API

automation_assistant_mapping


List all

GET
https://newprd.reecall.io/data_next
/automation/assistantMappings/

List all › query Parameters

where
​string

JSON-encoded filter object

limit
​integer · min: 1

Max number of records to return

page
​integer · min: 1

Page number (1-based)

orderBy
​string

JSON-encoded sort definition

select
​string

Optional list of fields to select

search
​string · maxLength: 200

PostgreSQL regex pattern (~*) to search in configured fields

List all › Responses

Successful operation

assistantId
​string · required
mappingId
​string · required
id
​string
​object
​object
alias
​string
purpose
​string
mode
​string · enum
Enum values:
auto
prompt
tool
estimatedTokens
​number
sourcePartial
​boolean
effectiveMode
​string · enum
Enum values:
prompt
tool
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Create one

POST
https://newprd.reecall.io/data_next
/automation/assistantMappings/

Create one › Request Body

assistantId
​string · required
mappingId
​string · required
alias
​string
purpose
​string
mode
​string · enum
Enum values:
auto
prompt
tool
estimatedTokens
​number
sourcePartial
​boolean
effectiveMode
​string · enum
Enum values:
prompt
tool
projectId
​string
organizationId
​string
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Create one › Responses

Successful operation

assistantId
​string · required
mappingId
​string · required
id
​string
​object
​object
alias
​string
purpose
​string
mode
​string · enum
Enum values:
auto
prompt
tool
estimatedTokens
​number
sourcePartial
​boolean
effectiveMode
​string · enum
Enum values:
prompt
tool
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Count all

GET
https://newprd.reecall.io/data_next
/automation/assistantMappings/count

Count all › Responses

Successful operation

assistantId
​string · required
mappingId
​string · required
id
​string
​object
​object
alias
​string
purpose
​string
mode
​string · enum
Enum values:
auto
prompt
tool
estimatedTokens
​number
sourcePartial
​boolean
effectiveMode
​string · enum
Enum values:
prompt
tool
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Retrieve one

GET
https://newprd.reecall.io/data_next
/automation/assistantMappings/{id}

Retrieve one › path Parameters

id
​string · required

Retrieve one › query Parameters

select
​string

Optional list of fields to select

Retrieve one › Responses

Successful operation

assistantId
​string · required
mappingId
​string · required
id
​string
​object
​object
alias
​string
purpose
​string
mode
​string · enum
Enum values:
auto
prompt
tool
estimatedTokens
​number
sourcePartial
​boolean
effectiveMode
​string · enum
Enum values:
prompt
tool
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Delete one

DELETE
https://newprd.reecall.io/data_next
/automation/assistantMappings/{id}

Delete one › path Parameters

id
​string · required

Delete one › Responses

Successful operation

assistantId
​string · required
mappingId
​string · required
id
​string
​object
​object
alias
​string
purpose
​string
mode
​string · enum
Enum values:
auto
prompt
tool
estimatedTokens
​number
sourcePartial
​boolean
effectiveMode
​string · enum
Enum values:
prompt
tool
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Update one

PATCH
https://newprd.reecall.io/data_next
/automation/assistantMappings/{id}

Update one › path Parameters

id
​string · required

Update one › Request Body

alias
​string
purpose
​string
mode
​string · enum
Enum values:
auto
prompt
tool
effectiveMode
​string · enum
Enum values:
prompt
tool
projectId
​string
organizationId
​string
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Update one › Responses

Successful operation

assistantId
​string · required
mappingId
​string · required
id
​string
​object
​object
alias
​string
purpose
​string
mode
​string · enum
Enum values:
auto
prompt
tool
estimatedTokens
​number
sourcePartial
​boolean
effectiveMode
​string · enum
Enum values:
prompt
tool
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time